%define plugin	freecell
%define rel	38

Summary:	VDR plugin: The well-known card game
Name:		vdr-plugin-%plugin
Version:	0.0.2
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPL+
URL:		http://linux.kompiliert.net/index.php?view=freecell
Source:		https://www.magoa.net/linux/files/vdr-%plugin-%version.tar.bz2
Patch0:		vdr-cardgames-0.0.2-to-gcc3.4.diff
Patch1:		vdr-freecell-0.0.2-time.patch
Patch2:		93_freecell-0.0.2-1.5.4.dpatch
Patch3:		freecell-0.0.2-i18n-1.6.patch
Patch4:		vdr-freecell-0.0.2-fix-makefile.patch
BuildRequires:	pkgconfig(vdr) >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
This Freecell plugin is an implementation of the (well-known) card game
"Freecell" played on the On Screen Display of your Video Disk Recorder.

%prep
%setup -q -n %plugin-%version
%patch -P 0 -p1 -b .gcc34
%patch -P 1 -p1 -b .time
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1 -b .make
%vdr_plugin_prep

%build
mkdir -p %{buildroot}/%{_vdr_plugin_dir}
%vdr_plugin_build

%install
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_datadir}/%{plugin}
install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}
install -m644 freecell/* %{buildroot}%{_vdr_plugin_datadir}/%{plugin}
ln -s %{_vdr_plugin_datadir}/%{plugin} 	%{buildroot}%{_vdr_plugin_cfgdir}/freecell

%files -f %plugin.vdr
%doc README COPYING HISTORY CONTRIBUTORS
%{_vdr_plugin_cfgdir}/freecell
%{_vdr_plugin_datadir}/%{plugin}


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.0.2-38.mga10
+ Revision: 2128238
- Rebuild for patchN deprecation

* Sun Feb 12 2023 ghibo <ghibo> 0.0.2-37.mga9
+ Revision: 1940961
- Add patch for makefile to fix building
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for vdr 2.4.6

* Fri Feb 14 2020 umeabot <umeabot> 0.0.2-34.mga8
+ Revision: 1517762
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.0.2-33.mga7
+ Revision: 1301582
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.0.2-32.mga6
+ Revision: 951642
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 0.0.2-31.mga5
+ Revision: 808488
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Jan 05 2015 anssi <anssi> 0.0.2-30.mga5
+ Revision: 808457
- rebuild for new VDR

* Mon Nov 24 2014 anssi <anssi> 0.0.2-29.mga5
+ Revision: 798669
- rebuild for new VDR

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-28.mga5
+ Revision: 743771
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2-27.mga5
+ Revision: 690149
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.0.2-26.mga4
+ Revision: 544781
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 0.0.2-25.mga4
+ Revision: 500237
- rebuild for new VDR

* Mon Jan 14 2013 umeabot <umeabot> 0.0.2-24.mga3
+ Revision: 385266
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.0.2-23.mga3
+ Revision: 325504
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.0.2-22.mga2
+ Revision: 221043
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.0.2-21.mga2
+ Revision: 214791
- rebuild for VDR 1.7.23
- update URL

* Sat May 14 2011 anssi <anssi> 0.0.2-20.mga1
+ Revision: 98384
- remove old scriplets
- imported package vdr-plugin-freecell

